Protocol service
POST
The request body should be a serialized ProtocolServiceRequest (string). The response body will also be serialized (string). The request-response mappings are as follows:
- Add -> Unit
- AddVersion -> Unit
- UpdateParticipantDataConfiguration -> StudyProtocolSnapshot
- GetBy -> StudyProtocolSnapshot
- GetAllForOwner -> StudyProtocolSnapshot[]
- GetVersionHistoryFor -> ProtocolVersion[]
bearerheader
AuthorizationBearer <token>Provide the username and password of the user
application/json- body
protocol*versionTag*stringapiVersion*responseSerializer*OK
*/*- response
curl -X POST 'https://dev.carp.dk/api/protocol-service' \ -H 'Content-Type: application/json' \ -d '{ "protocol": {}, "versionTag": "string", "apiVersion": { "major": 0, "minor": 0 }, "responseSerializer": { "descriptor": { "annotations": [ {} ], "serialName": "string", "elementsCount": 0, "isInline": true, "kind": null, "isNullable": true } }}'Example response
{}